## tomiku 1.0.1

=== src/sudoku-sensei/Makefile ===
libsudoku-sensei.a: sudoku-grids.o sudoku-iface.o sudoku-mem.o sudoku-solver.o list.o
	ar -r libsudoku-sensei.a sudoku-grids.o sudoku-iface.o sudoku-mem.o sudoku-solver.o list.o

sudoku-grids.o: sudoku-grids.c sudoku-pr.h sudoku-pub.h
	gcc sudoku-grids.c -c

sudoku-iface.o: sudoku-iface.c sudoku-pr.h sudoku-pub.h list.h
	gcc sudoku-iface.c -c

sudoku-mem.o: sudoku-mem.c sudoku-pr.h sudoku-pub.h list.h
	gcc sudoku-mem.c -c

sudoku-solver.o: sudoku-solver.c sudoku-pr.h sudoku-pub.h list.h
	gcc sudoku-solver.c -c

list.o: list.c list.h
	gcc list.c -c

all: libsudoku-sensei.a

install:

distclean: clean

.PHONY: clean
clean:
	rm *.o *.a

=== debian/changelog ===
tomiku (1.0.1) stable; urgency=low

  * Added myself to Uploaders in debian/control
  * Updated package descriptions slightly
  * Fixed some possible build-failures when building the package twice in a
    row
  * Added german translations
  * Added debian/postinst, show dialog to select menu-folder, update
    gtk-icon-cache
  * Depend on maemo-select-menu-location
  * Added icon for the application manager to debian/control
  * Build-Depend on libhildonhelp-dev, libhildonfm2-dev and osso-af-settings

 -- Thomas Schmidt <tschmidt@debian.org>  Thu, 25 Sep 2008 00:12:40 +0200

tomiku (1.0chinook2) stable; urgency=low

  * Fixed install target in debian/rules :)

 -- Thomas Schmidt <tschmidt@debian.org>  Thu, 22 Nov 2007 21:20:59 +0100

tomiku (1.0chinook1) stable; urgency=low

  * Build for Chinook
  * Adapted configure.ac to allow building for Chinnok with
    --enable-chinook=yes
  * Adapted debian/rules to automatically set the value for --enable-chinook,
    depending on the platform we are compiling for
  * Adapted source-files for use with chinook
  * Added debian/compat
  * Updated build-depends in debian/rules to be compatible both with Chinook
    and older versions

 -- Thomas Schmidt <tschmidt@debian.org>  Thu, 22 Nov 2007 21:05:46 +0100

tomiku (1.0) stable; urgency=low
  
  * New feature: solution is checked in the end of game.
  * New feature: in the end of the game user is notified if solution is correct
    and game state is ended.
  * Menu item enabling/disabling added.
 
 -- Tomi Pihlainen <tomi.pihlainen@iki.fi>  Tue, 28 Feb 2007 00:46:07 +0200

tomiku (0.4) unstable; urgency=low
  
  * New feature: clock for game play added. Game can be paused.
  * Graphics improvement: white areas in the background darkened. In normal view graphics is
    blended to white in the edge. Full screen view doesn't have any white areas.
 
 -- Tomi Pihlainen <tomi.pihlainen@iki.fi>  Tue, 25 Feb 2007 00:46:07 +0200

tomiku (0.3) unstable; urgency=low
  
  * New feature: user can click number pad on the right side of the screen and just click
    the cells on the board.
  * New feature: User can select whether to show incorrect cells or not
  * Graphics improvement: background changed from png to jpg to free space, background
    doesn't need to contain alpha channel so that can be jpg image
 
 -- Tomi Pihlainen <tomi.pihlainen@iki.fi>  Tue, 22 Feb 2007 00:46:07 +0200

tomiku (0.2) unstable; urgency=low
  
  * Graphics improvements.
 
 -- Tomi Pihlainen <tomi.pihlainen@iki.fi>  Sun, 28 Jan 2007 00:46:07 +0200

tomiku (0.1) unstable; urgency=low
  
  * First draft.
 
 -- Tomi Pihlainen <tomi.pihlainen@iki.fi>  Sun, 28 Jan 2007 00:46:07 +0200

=== debian/control ===
Source: tomiku
Section: user/games
Priority: optional
Maintainer: Tomi Pihlainen <tomi.pihlainen@iki.fi>
Uploaders: Thomas Schmidt <tschmidt@debian.org>
Build-Depends: debhelper (>= 4.0.0), intltool, hildon-base-lib-dev | libhildondesktop-dev,
 hildon-libs-dev | libhildon1-dev, libgtk2.0-dev, libosso-gnomevfs2-dev,
 libglib2.0-dev, libdbus-glib-1-dev, libosso-dev, libhildonhelp-dev, libhildonfm2-dev,
 osso-af-settings
Standards-Version: 3.6.0

Package: tomiku
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, maemo-select-menu-location
Description: Sudoku for Maemo.
 Tomiku is a Sudoku implementation for Maemo.
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAABoAAAAaCAIAAAAmKNuZAAAACXBIWXMAAAsTAAALEwEAmpwYAAAG
 Q0lEQVRIxy2SyW9edxVA772/6U3f6NihIYPiNInTDNCWQNRURKGIHdOKLmHFAsQOgQRCwJYVYsEK
 kKAIRSxAlEGgikZU0NgKQkkr203ixjhJ49ix/U3ve+/9psvC/AdH5xy8vf6OAuLR0I23dN436vgU
 Rpx4CCDrNInR260oppVix/1UzQpsyrJUSnmYCkrQejfYUTnI1ofqyLLXtIYPb7z9j5/LLBrR/vjV
 72GesCUNio3dHSz+868/7co0xO1s9tyLV75m46z3XinF7mBtnyzf/nG1e0eY5154+evUUtKjX5+O
 Tn3qS3PF/H/+9t1y757HeRTtGIaUJklx7vIrP+h0+ytLr4X0kNdHhHNVVeV5bpsH9+/+pB1Hly/+
 UPQLa7oljGlvOuzMfizTz67dfr1U/dr0Kz+dlo/L8bh2nuXBvHehkZPHD989e/JE8MDMiDgYDMDp
 yaPtanPnjbd+dHP5NZJWkCYLdIC3Pnj7l9Px2rlLrzqTxqANaM/UThIjG5OGuLXV0weCOsswUEpN
 p9O6rkE6IeDYhc+88rnvjP67pvxuDJIS8IuLv/jg6fXMdG9d/814cwlj5TwCITAQEKNbvnvryOnn
 weSpKPbphBANyM7MR1ZXV1dv/UGQ0KZrpJSCefbYhabfb+qZQ4dmnAPEuDd8kmSZUmo4HNpQzTyz
 kHUOTprdjk1VSyNiVVVlNe3MfAJFz6rBR6+8ujsWeUfJJjKlL6cGkcdVXWNSDMbNeLjZ6S3EGJmZ
 IxedEzUkIe4pZRAxxlhVlW4b18x0j16mHkTdlrJltMDl5eUQQlmW3ntmZuamsSF4Y4yUEhFDdCxQ
 ykLrxk3Be3/37t25ubk0N91eX+kWCZG3EqXBW49ra2veewCw1gohAP7f7sGDB1rrbrerTYHE0W+N
 65wlS+u998eOHQMhQqwInYwiOK10q/INhRC8903TCCGaprHWxhgBIM/zVqullJIQdzb+fP3334LR
 QAjI85yIiChBPd1a+8u1b/7x119ee+dXKY0wAFVVTURr79+5+e8bAExESqk0zdrtTtrRjLocbNy7
 8Vuy65kui1TkeR5jVEoJ9u/dvPbS85/8/Be/v/Luv4b1plIsEalp6t3dbWundVO3irZSCoAn1bDQ
 bdkM769ce/bQxftPobGQQO6c28cfxur8+auLf/9Zv/PmqYNtmXfRIVlrvfdFUTDweDQiIudcCL6s
 R9xQmGzff/+NgR800/W6vOd5tG+WmRPIHj1Y6h093zv3hY3B7nQ69SFIrTVinJ+fn58/mmcH9uMi
 isL0vKpk6/DFq98ePLmDvmE7IkIIYIwBAOuawWDS7c8kIlZlSUQco0xT45wjNGnacb7RWhPGuilj
 iLnMSZlO59PeFwfOckzmCsw5SaqqklKyGD/30leWb/5pvHvz0pWvJqaLQBIAEFFKxQxpmnrvGAkg
 ZlkmUE0mo83xZCp6+uCLjvKno2mvq/c3tl48HqnZE58Vzk5iWLu3fvjwYVxZWdlXK6UkwY8ePdzY
 2FhYOAMstNZCiMgwqKYMLs9b0cZE0Pb2dpIkSUvmbSNYudoTqbpqJGoZIydJEqInJAafZZn3fmd3
 5+jR41mSe1cbA61MEs5YDiJD71gphYjCJXaHIllthHchRmYVJQA4Z32okQKwtNYWRTEpJz6B2rMK
 w8W3fjd6vHjxhW+ok6e5xCTLiEgIAYKtbwRI31BEH1xQUhIAOOdWV1eWlpastdbaVqt1+tSpWIfU
 yAD0zIfPaKmRmhBsnnWIaF+3EEJrrZQM4JCYJDGDlFJZ60MIzrnBYDgzMyOlDCG2ZKYkmP5cmiab
 773euFEn0VxLFJGIYoz7xr33iKjQBKwQQVbVFICVNDHQeFy2ig4wSSmVkgxkIwQUPuQi1c46iB6q
 ynufpikiIiIAMERUIEECoEQEIeTCwrnjx08iYgiBSBqTshYxMtu9jdU3cW9jZ/3GHMhs7kJURZqm
 3W7XOWetRUSJiqTMjCnLktI0ZeayLI0xWmullNY6coyAqSI/3BpvP0qPnNn1+vGgApVKKfM8DyEQ
 UZIkiEiKQgjO+8gs94/TWhOR956IrLVFq/C2KkX61On82CUBLeUHTcSn43E75SRJpJTW2jRNq6pi
 5tpZDsEY8z9HgaeUsOwC/gAAAABJRU5ErkJggg==

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g
PACKAGENAME = tomiku

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

# Check maemo version we are building for
MAEMO_VERSION=$(shell pkg-config libosso --modversion | cut -d . -f 1)
ifeq ($(MAEMO_VERSION), 2)
	BUILD_CHINOOK = yes
else
	BUILD_CHINOOK = no
endif

config.status: configure
	dh_testdir
	# Add here commands to configure the package.
	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) \
	       --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info \
	       --enable-chinook=$(BUILD_CHINOOK)

configure:
	./autogen.sh

build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/tmp
	#$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp/var/lib/install
	$(MAKE) install DESTDIR=$(CURDIR)/debian/tomiku


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
